#! /usr/bin/env python3
# -*- coding: utf-8 -*-

import re

#imports the dictionary
d = {}
with open("dictionary") as dictionary:
	for line in dictionary:
		(val, key) = line.split()
		d[key] = val

#and alphabet
a = {}
with open("alpha") as alphabet:
	for line in alphabet:
		(val, key) = line.split()
		a[key] = val

#sets punctuation to be removed
punct_str = '!"#$%&\'()*+,-./:;<=>/?@[\\]_`{|}~«» '

while True:
	inp = input("to english: ").strip(punct_str).lower()
	#split words from input string and replace those not in dictionary
	for word in inp.split():
		if word not in d:
			#cipher the input and add to the dictionary
			trans = ''.join([a.get(character) for character in re.findall('bk^k|k^k|zbr|z^k|i|noo|ee|aa|oo|p|q|z|x|j|k|v|b|w|m|g|c|f|l|d|h|s|r|n|t|b|\^', word)])
			#add value to dictionary
			d[word] = '"' + trans + '"'
	
	print(' '.join([d.get(word, word) for word in inp.split()]))
